Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class ServletWrapper.TimeoutManager

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.ServletWrapper.TimeoutManager

protected class ServletWrapper.TimeoutManager
extends java.lang.Object
implements EventHandler

Method Summary
`void` | `handleTimerEvent(java.lang.Object data, long time)` Handle timer events.
`protected void` | `restart()`
`protected void` | `start()`
`protected void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### handleTimerEvent

    public void handleTimerEvent(java.lang.Object data,
                                 long time)

  Handle timer events.
  Specified by:
    handleTimerEvent in interface EventHandler
  Parameters:
    `data` - The timer closure.
    `time` - The absolute time at which the event was triggered.
  See Also:
    `EventManager`, `EventHandler`

### restart

    protected void restart()

### start

    protected void start()

### stop

    protected void stop()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD